global:
  scrape_interval: 30s
  evaluation_interval: 30s
  scrape_timeout: 15s

alerting:
  alertmanagers:
    - static_configs:
        - targets: ["alertmanager:9093"]

rule_files:
  - /etc/prometheus/recording_rules.yml
  - /etc/prometheus/alerts/*.yml

scrape_configs:
  - job_name: "custom-exporters"
    static_configs:
      - targets: ["host.docker.internal:9100"]
    scrape_interval: 60s
    scrape_timeout: 45s
    metrics_path: /metrics

  - job_name: "prometheus"
    static_configs:
      - targets: ["localhost:9090"]

  - job_name: "grafana"
    static_configs:
      - targets: ["grafana:3000"]
    metrics_path: /metrics

  - job_name: "alertmanager"
    static_configs:
      - targets: ["alertmanager:9093"]
    metrics_path: /metrics

  - job_name: "investigator"
    static_configs:
      - targets: ["host.docker.internal:8099"]
    metrics_path: /metrics
    scrape_interval: 30s

  - job_name: "claudes-palace"
    static_configs:
      - targets: ["###_IP:9100"]
        labels:
          instance: "claudes-palace"
    scrape_interval: 30s
    metrics_path: /metrics

  #   metrics_path: /metrics

  - job_name: "sigil-grid"
    scrape_interval: 30s
    static_configs:
      - targets: ["###_IP:8080"]
        labels:
          sigil_variant: "baseline"
      - targets: ["###_IP:8080"]
        labels:
          sigil_variant: "moderate"
      - targets: ["###_IP:8080"]
        labels:
          sigil_variant: "aggressive"
      - targets: ["###_IP:8080"]
        labels:
          sigil_variant: "unhinged"
    metrics_path: /metrics
